import setuptools

with open("README.md", "r") as fh:
    long_description = fh.read()

setuptools.setup(
    name="soupjobs",
    version="0.0.1",
    author="Dan",
    # author_email="mail@...",
    description="Simple asynchronous scraping jobs",
    long_description=long_description,
    long_description_content_type="text/markdown",
    # url="https://github.com/...",
    package_dir={'': 'src'},
    packages=setuptools.find_packages(where='src'),
    install_requires=[
        'aiohttp',
        'beautifulsoup4'
    ],
    extras_require={
        'tests': ['coverage'],
    },
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires='>=3.9',
    keywords='webscraping html markup dom scraper attributes tags',
)
